cdac.medinfo.sdk.hl7282.baselibs.segmentfactory

## Class DataElementFactory

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segmentfactory.DataElementFactory

-     public class DataElementFactory
      extends java.lang.Object

  DataElementFactory class provides support for the creation of HL7 Data Type. This class provides the methods to create Data Type.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DataElementFactory` | `createInstance()` Returns instance of DataElementFactory if not created.
    `IDataType` | `getDataElement(int[] iValueTable, int iMinLength, int iMaxLength, java.lang.String strCLength, java.lang.String strDTName, int HL7Component)` Returns the instance of Datatype.
    `IDataType` | `getDataElement(int iValueTable, int iMinLength, int iMaxLength, java.lang.String strCLength, java.lang.String strDTName, int HL7Component)` Returns the instance of Datatype.
    `IDataType` | `getDataElement(int iMinLength, int iMaxLength, java.lang.String strCLength, java.lang.String strDTName)` Returns the instance of Datatype.
    `IDataType` | `getDataElement(java.lang.String strSegmentname, int iItemID)`
    `IDataType` | `getDataElement1(int iValueTable, int iMinLength, int iMaxLength, java.lang.String strCLength, java.lang.String strDTName, int HL7Component)` Returns the instance of Datatype.
    `IDataType` | `getDataTypeComponent(java.lang.String strDataTypename, int SequenceId)` This method returns the Data Type component as per the value table ,Minimum Length,Maximum Length and Conformance Length.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createInstance

          public static DataElementFactory createInstance()

      Returns instance of DataElementFactory if not created.
      Returns:
        DataElementFactory - instance of DataElementFactory.

    - #### getDataElement

          public IDataType getDataElement(java.lang.String strSegmentname,
                                 int iItemID)

    - #### getDataTypeComponent

          public IDataType getDataTypeComponent(java.lang.String strDataTypename,
                                       int SequenceId)

      This method returns the Data Type component as per the value table ,Minimum Length,Maximum Length and Conformance Length.
      Parameters:
        `strDataTypename` - name of DataType for which to create component.
        `SequenceId` - retrieves the particular component as per the sequence.
      Returns:
        IDataType component as per the requirement.

    - #### getDataElement

          public IDataType getDataElement(int iMinLength,
                                 int iMaxLength,
                                 java.lang.String strCLength,
                                 java.lang.String strDTName)

      Returns the instance of Datatype.
      Parameters:
        `iMinLength` - Integer value of Minimum Length
        `iMaxLength` - Integer value of Maximum Length
        `strCLength` - String value of Conformance Length
        `strDTName` - String value of DataType
      Returns:
        IDataType - specified DataType

    - #### getDataElement

          public IDataType getDataElement(int[] iValueTable,
                                 int iMinLength,
                                 int iMaxLength,
                                 java.lang.String strCLength,
                                 java.lang.String strDTName,
                                 int HL7Component)

      Returns the instance of Datatype.
      Parameters:
        `iValueTable` - Array of integer value of Table
        `iMinLength` - Integer value of Minimum Length
        `iMaxLength` - Integer value of Maximum Length
        `strCLength` - String value of Conformance Length
        `strDTName` - String value of DataType
      Returns:
        IDataType - specified DataType

    - #### getDataElement

          public IDataType getDataElement(int iValueTable,
                                 int iMinLength,
                                 int iMaxLength,
                                 java.lang.String strCLength,
                                 java.lang.String strDTName,
                                 int HL7Component)

      Returns the instance of Datatype.
      Parameters:
        `iValueTable` - Integer value of Table
        `iLength` - Integer value of Length
        `strDTName` - String value of DataType
      Returns:
        IDataType - specified DataType

    - #### getDataElement1

          public IDataType getDataElement1(int iValueTable,
                                  int iMinLength,
                                  int iMaxLength,
                                  java.lang.String strCLength,
                                  java.lang.String strDTName,
                                  int HL7Component)

      Returns the instance of Datatype.
      Parameters:
        `iValueTable` - Integer value of Table
        `iLength` - Integer value of Length
        `strDTName` - String value of DataType
      Returns:
        IDataType - specified DataType